Android Studio 64-bit ERROR: Linux de 32 bits Los binarios del emulador de Android son DEPRECATED

Recientemente he actualizado mi ubuntu 13.10 64-bit a 14.04 64-bit. Android Studio siempre funcionó bien en 13.10.

El 14.04 tuve un problema con gradle ( este ), que era un problema con libz.so.1 falta. Después de este enlace , tuve que instalar la versión de 32 bits de este paquete, y arregló mi problema.

Ahora (pensé que estaba relacionado), al intentar iniciar un emulador de dispositivo, tengo este mensaje:

ERROR: Linux de 32 bits Los binarios de emulador de Android son DEPRECATED, para usarlos tendrás que hacer al menos uno de los siguientes: – Usa la opción '-force-32bit' al invocar 'emulator'. – Establezca ANDROID_EMULATOR_FORCE_32BIT en 'true' en su entorno. Cualquiera de los dos le permitirá utilizar los binarios de 32 bits, pero tenga en cuenta que estos desaparecerán en una futura versión de SDK de Android. Considere la posibilidad de pasar a un sistema Linux de 64 bits antes de que eso suceda.

Pero mi sistema es de 64 bits (y por el modo -force-32bit truco no funciona).

Extrañamente, eliminé el paquete de 32 bits que instalé y nada cambió (mi problema de gradle no apareció de nuevo y el problema de mi emulador aún está aquí).

Que debería hacer ?

Gracias

Ayer, tuve el mismo problema después de actualizar mi Ubuntu. Hoy se fija en la nueva actualización. Simplemente actualice su Ubuntu y ejecute el emulador después de la actualización. Deberia de funcionar.

La versión actual del kernel después de la actualización es: 3.13.0-61-genérico

También estoy usando Ubuntu 14.04, y aparentemente hay un bug con la nueva versión del kernel ( 3.13.0-59-genérico ), ya que estaba trabajando ayer con los emuladores y no tuve ningún problema hasta hoy, Cuando había una actualización del kernel.

Reinicié Ubuntu, esta vez eligiendo la versión anterior del kernel ( 3.13.0-58-genérico ), y funciona de nuevo.

Espero que esto ayude.

PS: puedes arrancar las versiones anteriores del kernel desde el grub, en Opciones avanzadas para Ubuntu .

Tengo 64 bits de Ubuntu con el núcleo 4.8.0-37 y no pude resolver este problema hasta que explícitamente lanzó el emulator64-x86 ejecutable en lugar de sólo emulator que fue lanzado por Android Studio de forma predeterminada.

El núcleo 3.13.0-59 estaba causando el mismo problema para mí después de una actualización reciente. Lo desinstale corriendo:

 sudo apt-get purge linux-image-3.13.0-59-generic 

Al reiniciar, grub usará automáticamente la versión anterior del kernel. Tenga en cuenta que esto también elimina el paquete linux-image-generic , evitando futuras actualizaciones automáticas del kernel.

  • No se puede limpiar el proyecto en Android Studio
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.